<?php
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
require('fphp.php');
$enlace=cargar_conexion();

$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>
<?
$entra=0;
echo "<h2>M&oacute;dulo de Par&aacute;metros del Sistema</h2>"; 

///////////////////////////////////////////////// graba registros  ////////////////////////////////////////////////////////////////
if ($_POST['graba']==1 ) {
	$query = "update empresa set ciudad='".$_POST['ciudad']."',pie='".$_POST['pie']."' where id='".$_SESSION['id_validar']."' ";
	$consulta = mysql_query($query) or die ($query.mysql_error());
}
///////////////////////////////////////////////// graba logo  ////////////////////////////////////////////////////////////////
if ($_POST['bandera']==5) {
        // obtenemos los datos del archivo
        $tamano = $_FILES["archivo"]['size'];
        $tipo = $_FILES["archivo"]['type'];
        $archivo = $_FILES["archivo"]['name'];
        $prefijo = substr(md5(uniqid(rand())),0,6);
       
        if ($archivo != "") {
            // guardamos el archivo a la carpeta files
            $destino =  "images/logo_".$_SESSION['id_validar'].".jpg";
            if (copy($_FILES['archivo']['tmp_name'],$destino)) {
                $status = "Archivo subido: <b>".$archivo."</b>";
            } else {
                $status = "Error al subir el archivo";
            }
        } else {
            $status = "Error al subir archivo";
        }
		echo "<font color='red' >".$status."</font>";		
}	

///////////////////////////////////////////////// pantalla inicial  ////////////////////////////////////////////////////////////////
		$consulta="select * from empresa where id='".$_SESSION['id_validar']."' ";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$num_rows = mysql_num_rows($resultado);

		$row=mysql_fetch_array($resultado);
		if ($num_rows==0) {
			$consulta="insert empresa (id) values ('".$_SESSION['id_validar']."') ";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
		
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'graba' value = '1'>";
		echo "<table align ='center'>";

		echo "<tr>";
			echo "<td align = 'left'> </td>";
			echo "<td align = 'left'> <b><font color=red>Par&aacute;metros Generales</b></font></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right1'> Pie de Pagina de Reportes: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'pie' size = '100' maxlength = '100' value = '".$row['pie']."' ></td>";
		echo "</tr>";

		echo "<tr>";
			echo "<td align = 'right1'> Ciudad de Origen: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'ciudad' size = '100' maxlength = '100' value = '".$row['ciudad']."' ></td>";
		echo "</tr>";
				
		echo "</table>";
		echo "<table align ='center'>";
		echo "<tr><td><input type = 'submit' value = 'Grabar Cambios'></td></form>";
		echo "	<script language='javascript' type='text/javascript'>";
		echo "		document.entrada.encabeza.focus()";
		echo "	</script></table>";

	///////////////////////////////////////////////// bajar logo ////////////////////////////////////////////////////////////////
		echo "<h2>Cargar Imagen de Logo a: ".$_SESSION['empresa_validar']."</h2>";
		echo "<img src='images/logo_".$_SESSION['id_validar'].".jpg' style='border-width: 1px; border-color: 75263C;border-style: solid;'>";
		echo "<form name = 'entrada4' action = '".$_SERVER['PHP_SELF']."' target='_blank' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'bandera' value = '5'>";
		echo "<table cellpadding=2 cellspacing=0 >";
		echo "<tr>";
			echo "<td align=right> Nombre de Archivo (Imagen formato: JPG):</td>";
			echo "<td> <input name='archivo' type='file' size='35' /></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td colspan=2><input name='contrato' type = 'submit' value = 'Bajar Imagen?'></td>";
		echo "</tr>";
		echo "</table>";
		echo"</form><br><hr>"; 
		
echo "<br><br><br></font></body>";
echo "</html>";
?>